## shutter 0.99.2

=== debian/changelog ===
shutter (0.99.2-4) unstable; urgency=high

  * Rebuild with no source changes.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 20 Feb 2022 22:58:56 +0100

shutter (0.99.2-3) unstable; urgency=medium

  * Add a missing copyright notice.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 25 Jan 2022 09:35:09 +0100

shutter (0.99.2-2) unstable; urgency=medium

  * Update the copyright file.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 21 Jan 2022 21:21:49 +0100

shutter (0.99.2-1) unstable; urgency=medium

  [ Sebastian Geiger ]
  * New upstream release.
  * Drop dependency on libgnome2-vfs-perl (Closes: #870418)
  * Depend on gir1.2-ayatanaappindicator3-0.1 instead of
    gir1.2-appindicator3-0.1.

  [ Andrej Shadura ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Nov 2021 13:33:01 +0100

shutter (0.98-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * Reintroduce the package to Debian (Closes: #964785, #724871).
  * New upstream release. The new release fixes these issues:
    - Destination folder not saved after restarting shutter (Closes: #686550)
    - Fails to open images in external viewers (Closes: #691559)
    - Crash when running multiple instances (Closes: #867582)
    - Edit button disabled (Closes: #909269)
  * Update the watch file.
  * Add gbp.conf for DEP-14.
  * Update the Homepage URL.
  * Drop obsolete patches.
  * Automated cleanup:
    - Trim trailing whitespace in the changelog.
    - Bump debhelper from old 11 to 13.
    - Set debhelper-compat version in Build-Depends.
    - Set upstream metadata fields: Bug-Database, Bug-Submit.
    - Set Testsuite header for perl package.
    - Wrap and sort.
  * Set myself as the maintainer.
  * Bump Standards-Version to 4.5.1.
  * Set Rules-Requires-Root: no.
  * Update the dependency list.
  * Update the copyrights.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org.

  [ Ghislain Antony Vaillant ]
  * Install the AppStream metadata.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 31 Aug 2021 13:42:20 +0100

=== debian/control ===
Source: shutter
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/shutter
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/shutter.git
Homepage: https://shutter-project.org/
Testsuite: autopkgtest-pkg-perl

Package: shutter
Architecture: all
Depends:
 gir1.2-ayatanaappindicator3-0.1,
 gir1.2-wnck-3.0,
 imagemagick,
 libcarp-always-perl,
 libfile-basedir-perl,
 libfile-copy-recursive-perl,
 libfile-which-perl,
 libglib-object-introspection-perl,
 libglib-perl,
 libgoocanvas2-cairotypes-perl,
 libgoocanvas2-perl,
 libgtk3-imageview-perl (>= 10),
 libgtk3-perl,
 libimage-exiftool-perl,
 libimage-magick-perl,
 libjson-maybexs-perl,
 libjson-perl,
 liblocale-gettext-perl,
 liblwp-protocol-https-perl,
 libnet-dbus-perl,
 libnet-dbus-glib-perl,
 libnet-oauth-perl,
 libnumber-bytes-human-perl,
 libpango-perl,
 libpath-class-perl,
 libproc-processtable-perl,
 libproc-simple-perl,
 libreadonly-perl,
 librsvg2-common,
 libsort-naturally-perl,
 libwww-mechanize-perl,
 libwww-perl,
 libx11-protocol-other-perl,
 libx11-protocol-perl,
 libxml-simple-perl,
 procps,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 nautilus-sendto,
Description: feature-rich screenshot program
 Shutter is a feature-rich screenshot program. You can take a
 screenshot of a specific area, window, your whole screen, or even of
 a website - apply different effects to it, draw on it to highlight
 points, and then upload to an image hosting site, all within one
 window.
 .
 Features:
    * take a screenshot of your complete desktop, a rectangular area
    * take screenshot directly or with a specified delay time
    * save the screenshots to a specified directory and name them in a
      convenient way (using special wild-cards)
    * Shutter is fully integrated into the GNOME Desktop (TrayIcon etc.)
    * generate thumbnails directly when you are taking a screenshot
      and set a size level in %
    * Shutter session collection
          o keep track of all screenshots during session
          o copy screeners to clipboard
          o print screenshots
          o delete screenshots
          o rename your file
    * upload your files directly to Image-Hosters (e.g. imgur.com), retrieve
      all the needed links and share them with others
    * edit your screenshots directly using the embedded drawing tool

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

execute_after_dh_install override_dh_auto_install: PACKAGE := $(firstword $(shell dh_listpackages))

override_dh_auto_install:
	dh_auto_install -- prefix=debian/$(PACKAGE)/usr

execute_after_dh_install:
	dh_install
	mkdir -p debian/$(PACKAGE)/usr/share/perl5/
	mv debian/$(PACKAGE)/usr/share/shutter/resources/modules/Shutter debian/$(shell dh_listpackages)/usr/share/perl5/
	mv debian/$(PACKAGE)/usr/share/shutter/resources/modules/WebService debian/$(shell dh_listpackages)/usr/share/perl5/
	rm -fr debian/$(PACKAGE)/usr/share/shutter/resources/modules/ debian/$(PACKAGE)/usr/share/doc/*/COPYING

=== debian/watch ===
version=4
https://github.com/shutter-project/shutter/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## shutter 0.99.5

=== debian/changelog ===
shutter (0.99.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 0.99.5.
  * Update Upstream-Contact.
  * Update debian/copyright: new and removed files.
  * Adjust some paths in debian/*.
  * Add a lintian override.
  * debian/control: update substitution variables.
  * Fix hashbangs in modules.
  * Update runtime dependencies from cpanfile.
  * Run the new test suite during build.
    Add Build-Depends-Indep to debian/control and
    override_dh_auto_test to debian/rules.
  * Fix and extend autopkgtests.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Apr 2024 14:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,50 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Build-Depends-Indep:
+ gir1.2-ayatanaappindicator3-0.1 <!nocheck>,
+ gir1.2-wnck-3.0 <!nocheck>,
+ imagemagick <!nocheck>,
+ libcarp-always-perl <!nocheck>,
+ libfile-basedir-perl <!nocheck>,
+ libfile-copy-recursive-perl <!nocheck>,
+ libfile-which-perl <!nocheck>,
+ libglib-object-introspection-perl <!nocheck>,
+ libglib-perl <!nocheck>,
+ libgoocanvas2-cairotypes-perl <!nocheck>,
+ libgoocanvas2-perl <!nocheck>,
+ libgtk3-imageview-perl (>= 10) <!nocheck>,
+ libgtk3-perl <!nocheck>,
+ libhttp-message-perl <!nocheck>,
+ libimage-exiftool-perl <!nocheck>,
+ libimage-magick-perl <!nocheck>,
+ libjson-maybexs-perl <!nocheck>,
+ libjson-perl <!nocheck>,
+ liblocale-gettext-perl <!nocheck>,
+ liblwp-protocol-https-perl <!nocheck>,
+ libmoo-perl <!nocheck>,
+ libnet-dbus-glib-perl <!nocheck>,
+ libnet-dbus-perl <!nocheck>,
+ libnet-oauth-perl <!nocheck>,
+ libnumber-bytes-human-perl <!nocheck>,
+ libpango-perl <!nocheck>,
+ libpath-class-perl <!nocheck>,
+ libproc-processtable-perl <!nocheck>,
+ libproc-simple-perl <!nocheck>,
+ libreadonly-perl <!nocheck>,
+ librsvg2-common <!nocheck>,
+ libsort-naturally-perl <!nocheck>,
+ libtest-mockmodule-perl <!nocheck>,
+ libwww-mechanize-perl <!nocheck>,
+ libwww-perl <!nocheck>,
+ libx11-protocol-other-perl <!nocheck>,
+ libx11-protocol-perl <!nocheck>,
+ libxml-simple-perl <!nocheck>,
+ procps <!nocheck>,
+ xauth <!nocheck>,
+ xdg-utils <!nocheck>,
+ xvfb <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/shutter
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/shutter.git
@@ -28,12 +71,14 @@
  libgoocanvas2-perl,
  libgtk3-imageview-perl (>= 10),
  libgtk3-perl,
+ libhttp-message-perl,
  libimage-exiftool-perl,
  libimage-magick-perl,
  libjson-maybexs-perl,
  libjson-perl,
  liblocale-gettext-perl,
  liblwp-protocol-https-perl,
+ libmoo-perl,
  libnet-dbus-perl,
  libnet-dbus-glib-perl,
  libnet-oauth-perl,
@@ -53,7 +98,7 @@
  procps,
  xdg-utils,
  ${misc:Depends},
- ${shlibs:Depends},
+ ${perl:Depends},
 Suggests:
  nautilus-sendto,
 Description: feature-rich screenshot program

## shutter 0.99.6

=== Makefile ===
prefix = /usr/local

all:
	./po2mo.sh

clean:
	if [ -d $(srcdir)share/locale ]; then \
		rm -r $(srcdir)share/locale; \
	fi
install: all
	install -Dm644 $(srcdir)COPYING $(prefix)/share/doc/shutter/COPYING
	install -Dm644 $(srcdir)README $(prefix)/share/doc/shutter/README
	install -Dm755 $(srcdir)bin/shutter $(prefix)/bin/shutter
	cp -r $(srcdir)share/ $(prefix)/

uninstall:
	rm $(prefix)/bin/shutter
	rm $(prefix)/share/metainfo/shutter.metainfo.xml
	rm $(prefix)/share/applications/shutter.desktop
	rm -r $(prefix)/share/doc/shutter/
	rm $(prefix)/share/man/man1/shutter.1
	rm $(prefix)/share/pixmaps/shutter.png
	rm -r $(prefix)/share/shutter/
	rm $(prefix)/share/icons/HighContrast/scalable/apps/shutter.svg
	rm $(prefix)/share/icons/HighContrast/scalable/apps/shutter-panel.svg
	for size in 128x128  16x16  192x192  22x22  24x24  256x256  32x32  36x36  48x48  64x64  72x72  96x96; do \
		rm $(prefix)/share/icons/hicolor/$$size/apps/shutter.png; \
	done
	for size in 16x16 22x22 24x24; do \
		rm $(prefix)/share/icons/hicolor/$$size/apps/shutter-panel.png; \
	done
	rm $(prefix)/share/icons/hicolor/scalable/apps/shutter-panel.svg
	rm $(prefix)/share/icons/hicolor/scalable/apps/shutter.svg
	for locale in $(prefix)/share/locale/*; do \
		for mofile in shutter.mo shutter-plugins.mo shutter-upload-plugins.mo; do \
			if [ -f $$locale/LC_MESSAGES/$$mofile ]; then \
				rm $$locale/LC_MESSAGES/$$mofile; \
			fi \
		done \
	done

=== debian/changelog ===
shutter (0.99.6-2) unstable; urgency=medium

  * Team upload.
  * Add new test dependency: libtest-strict-perl.
    Thanks to Jeremy Bícha for the bug report. (Closes: #1099476)
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Mar 2025 23:43:37 +0100

shutter (0.99.6-1) unstable; urgency=medium

  * New upstream version.
  * Recommend libavif-gdk-pixbuf.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 03 Mar 2025 09:09:13 +0100

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
  librsvg2-common <!nocheck>,
  libsort-naturally-perl <!nocheck>,
  libtest-mockmodule-perl <!nocheck>,
+ libtest-strict-perl <!nocheck>,
  libwww-mechanize-perl <!nocheck>,
  libwww-perl <!nocheck>,
  libx11-protocol-other-perl <!nocheck>,
@@ -48,7 +49,7 @@
  xauth <!nocheck>,
  xdg-utils <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/shutter
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/shutter.git
@@ -99,6 +100,8 @@
  xdg-utils,
  ${misc:Depends},
  ${perl:Depends},
+Recommends:
+ libavif-gdk-pixbuf,
 Suggests:
  nautilus-sendto,
 Description: feature-rich screenshot program

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_test:
	TEST_APP_SHUTTER_PATH=$(CURDIR) xvfb-run -a prove -I $(CURDIR)/share/shutter/resources/modules/ -I $(CURDIR)/t/lib -r -v t

override_dh_auto_install:
	dh_auto_install -- prefix=$(TMP)/usr

execute_after_dh_install:
	dh_install
	mkdir -p $(TMP)/usr/share/perl5/
	mv $(TMP)/usr/share/shutter/resources/modules/Shutter $(TMP)/usr/share/perl5/
	$(RM) -r $(TMP)/usr/share/shutter/resources/modules/ $(TMP)/usr/share/doc/*/COPYING
	find $(TMP)/usr/share -type f -name '*.pm' -print0 | \
		xargs -r0 sed -i -e '1s|^#! /usr/bin/env perl|#!/usr/bin/perl|'

## shutter 1.0.0-2

=== debian/changelog ===
shutter (1.0.0-2) stable; urgency=low

  Added support for Olympus and Canon cams.

 -- Tom Waelti <twaelti@gmail.com>  Wed, 10 Mar 2010 00:02:00 +0000

=== debian/control ===
Source: shutter
Section: user/desktop
Priority: extra
Maintainer: Tom Waelti <twaelti@gmail.com>
Xsbc-Bugtracker: http://wiki.maemo.org/shutter#Bugs
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: shutter
Architecture: all
Depends: lirc (>= 0.8.5-2fremantle30), python2.5, python-hildondesktop (>= 0.1.0-1maemo3), hildon-desktop-python-loader (>= 0.1.0-1maemo3), python-gtk2, python-hildon, python-gconf (>= 2.26.1-1maemo1), python-osso (>= 0.4-0maemo2)
Description: A single shutter button widget to issue a IR command.
 Please select your camera through the settings dialog of the widget.
 Should work with Canon, Nikon and Olympus DSLR.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAARnQU1BAACx
 jwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAZdEVYdFNvZnR3YXJlAFBhaW50Lk5FVCB2My41
 LjLX7mlDAAAVqUlEQVRoQ71aB3CUZ5bkbr1bV7VXd2tQHI0m5zzKOSCQRBBCQiRJJAVAWAJhi7BE
 CwHCBBONiQbbZBA5i5yjyDnnnJMDqK+/X+s7e3ftBe+tp+qvGYnRzOv/ve73Xn/UqvUrHgWFhZFN
 Uhp0b9asaWZK0wzbr/iI3/5PlixeoSwrHTQipXGjl35+/vDy8oRcLoPNbnkdGRO7NCoqNvi3j+ot
 vrHrBx1/P2xw2cjmqS1eqhRq+PrI4OnlAw9vPnv7oY63LzRaLUJCQqvj4utWpKSmhbzFx/52b+nc
 sfO4hNgkGPUG5HYqgtzfCE8PH9Tx8sX7Hr6o7elLIDL4yhVQadRwuV3VYZFR85MSk+J+uyh/5pum
 TZ0Ykpnd9nuFQsXA3MhITYXFEggPBv/f3nJ4icD91PCTa+Cn0MCfGZL7a6BQKOFy2as/6NTu2aQJ
 45+NHjPxwaTJX84eVj52VJ8+Q8ObZxf+7l8Grrxs0L+PnzAxvHRQaWlkROwdX38tA9JBqVLDaDRC
 pzMyUAN8ROBKHdRaEzQ6C8vIBC0vNV8rNCa+3wiNWoOEiACUD+yOOV9NxeKFc7FsSQUWViw9uWDR
 8u6fT5qt/n8HMvOrr8oTEpIYqAZqjRZGkxMyXzXr3hsyPxkcLjeS6yVBYwqCv5qBas3Qmh0wml0w
 WtzQWwNhtgbxdSC0BjtUWgtM5EiLZvUxqnwAxo4chqkTRmDh3OlYvmTR9/PmLVo9afqcmJJew/7t
 nwazsKIiI7lxerWPjw+8BTk1Gt51O1/78/KBUqlCTGwkunTMR9PWnaEzOxmsGw5nCCyOUNjd4XAG
 RsAeEC5drkDxczQcvIwE5nK4kdokBdGRYWiSFIXCnAwML+uBGdM/w7RpMyv79h9R91eDmDVrVnBu
 x6KnMl8/yGSUSQat0WlhsTqYCSNrWwulWo3QsHAGkYq0FjkMKgAmWwB54YKZz3aXuNyUVgecTjcC
 AgMQEhaJuLp1kZKeDvIJ2Vnt0KhhM5hMblj0GsRHuNCxTQoG9S3GpyPKX5eWDZ2anNJe9s5Aps78
 utLmjGa9Uyr9SEo/JQwGE8wWC8xmC8IiohhQCINJgt0RCAMDFrWv05sYjIXgNPDxlTFTMta+CQHM
 QFh4AkJC4xAYFAODWQC1IT4uAh8UdMDgoUPQufBDBAVFwG3WoWVqHEqK81E2sDe6du39KiU9L+at
 QYwY1j9t3GcTq532EDRIzaKiGPllFlh5901mKwwM0GgyQ09AarWOcilIqidxjVCpCFYmRyQBFhV9
 hHHjJ2POnIWYNacCc+cvwaJFyzF7zhLM+HI+BpaNQtv2RQgLTYDDakdWqxQMHzkUHfK6wW5xIikh
 GD2652JwaT/07Nn/VcNGWf1CQsLe+0UgGalN/tTtg5xH/UsHwWlzY/jYyVDp3AgOCoHd7obOZIdW
 JwLXQ8nAtTortCwpo9HEUpMjwB2IAX37YcmSlVi9Zj1Wr92EisUrsGLlOqxcuRbLlq7CggXLMH/B
 EkyZMgOTJk7GhPFTMGDAcNSvl4EAll1xYQ4+HT0KkdENERloQ7cumRhZXooBHw9F04z8D38RQEhw
 WN3YiCBktmoGh8XKDx/FtMYhODgE7sAwAnBQaXjHCUAA0fHSaPUsGz2yMlth1ZqNqNy4E2srt2Pz
 1t3YsJmv12/DqnUbCYKA1mzAuvWbsGLFeixcuBxz5y7G9KkzMXniFHw24XP07PMJnO54pDeMxZix
 I5Gc2g5BbguKOrXA8PKBGDS4HBktC3r/LAijwa5UKdXVZrMBRp0OfUqK0Kx5e9Z7ID84FBqDjXfe
 KBHZQLkUwWu1anQpyMXW7buw7+Ax7NxzCLv2VGH33kPYsWs/Xx/E5u17sHnbXmwiqHWVW7F6dSVW
 rKrE4sXLMY/l9fVXczH763mY8cUsjBw9BbHxzREXGYThI0p513MQ6rKhS34LDC3ri6FDh71OSeuY
 97Mg2D0X+nBA86POt2qahN79h8DtCqIshrJRWaFQG6gsdnLBxppXonmLNOw/eBhnzl7CqTMXcfzU
 RRw7cR4HDp3k748TyFHs2n0AVYdOYPvO/QS6D+s3bMPaDduxdNlarBRAWHILFy3D7FkLCeJrfDp2
 Cho16YDosFCUDylFfN1miAx2spzaonxwf/TuW/4sPiE74O+CUKpVBaKePTw94LZp8NmU6SSsnRLp
 Zi9g99WbYXME8HcGhIcHYdPmTTh38RrOnLuC02cv4tTZKwRyga8v4fjJCzh87KwU/MHDx3Hg4FHs
 2VuFnczMVmalkkDWrNvMMtvMslqHioqVmDuvAl9M+xLjx09FYsO2iI8Jx4CywbA7Y5EQ7UZ3cqSM
 xM4v7LvTYEv4w9+ACAmyfxQQEoHaHNIUMg9MmDAGNv6x1mil4vDuM3iD2U5iu/Fxv564dv0Wrt28
 jyvX7+DytTs4f+kGLvA6d/E6Tpy+iBMnz+PYyXM4euIsDh1hVqpOYP+Bo9ix8wAzso83YBeBbCE3
 NpP8a8iNZZgzewFms6w+HT0NJnss0tMbIK+oLwzkX3rjGPTo1gmlgwajQVp++d8AqFs3ZqYoETGI
 vV+7NtplZyAjq1CSSrVGDwuVxmKzITo6HDu2bcbtu49x884j3Lj1gM8PcIvX1Rt3ce3GPVy++hdA
 F67iNDN0jGAOHz/LbJzCwapj2Lf/CHbsPoiNJPsGZmM1y2n5stUSN+bPXSQBKe45ir0nAHkF+QiJ
 pVI5TZTcRujToysKu/Z56ghoqPwJiJDQyDOiA6vUWrxfxxNWswplw0azqQnFMcBqF03IjOyMxrh9
 +zbuP3qBB49f4f7D57j74Dnu3HtCEA8lYFcJ4tIVZojZOX/xBs6cv4oTp87j5OlLOHrsDMvrDLNx
 DNt27JWIv568WFe5BWupVkJyK8iLL76Yi4i4VuwtAUjL7kL1syE2JgidcjLRu1cJp4COpf8LwGy2
 vmeyOJ55enpKJPb2lXPer42yIR/DHpTIbmtkQ3NJJO7XsyuevfoOj59/j8fPxPNrPHnxGo+efocH
 j17yekEQT3CHQK7dZDau3cVFgjnLbJw9e1kqrSqRCUHuHft57cPmzTuwZcsurGc5SSCWr2bzW4qS
 PqMYuAGt2mTB6oyH025GWuMEFBXkIS+v6zW7s97vJRBGszNJRWn08KjDy4OTp4zPnoiPCkLHbh9D
 q7fCyiEsJNiFiWOG4vWbaryursa3r6vxjXQBL74Dnn1TLQF7+ORbPBTZIZgbzMqlq7dZVrdw7kIN
 6Y8TxBFmYS+zsFeUE0Fs27oLGzdtR2Ulib18LZYvX4NpMxfze2M5ukQhNLoxJV6P2PBAtG3dFF06
 FSA2oUX9GgAGW6G/XInarH1PqpCXtxd8fHwh9/ViFgbBERDLaTIYMaz/aeOG4a8f1fwFceC7N8BL
 AeRVNR49E0Be4d79p1JpXRfZuHKTJXWNSnVZkt4jguCHT2PPviPYSckVmdiwYSvWrN2AVezgQp1i
 6nfgCGNESHQC5ys9QtgbGiXHI7d9G7RqnTtcAqDVOT7x81NJADxYOt4+3vCVySCT+yM5IRKduvXj
 SByGevUSMGX0YIYrQv75hwDzgtl4/pKlxTJ78Pgly+oRQdSUk8jCqTOXcITEPnL0FA5UnZS4sHP3
 fmzYuJ3XVqwliJUcRbLzBkFn4CBJAGqNBXarCXFRIWjVPAWtW7erkgAoFNpeYoIU6iN44OXtLU2V
 fn5+0KoUKC4pIYC6iIwMxZB+xah+8/0vAhD/KEC8/K6a2XgjceXeg6e4c/8xQdwnwWsycebcZTa/
 s2yC55kF9op9VRIntmylOhHEKvIht2g4/PzVcIdEsh9ZYTFqEc5STm2YwGmh1Rt3aOIfa3l5q4q9
 uKwIAIID3hIAH2n78vdXIDEhFrGJGXBzJ+7XowAvnj36hwDEG34orZffEsgLltTjF7hLEDdv3cdV
 KtQFUU7MxEkCEJzYtYc9gsq0mVzYuFE0uk3oXFzOIdLIhupiBjiHaTUc/uyoFx+B5s2aol5yqqZW
 bU/VRyJwAaAOOSAA+Pr6clH3Y1/wp3wakJZZAKsrHDkdWuHYwd1vBeCHN0nZIIhHT7/FoycvqFCP
 cPPuQ1y8XFNOp0Umjp+R+oPo2DvY6LZt2431JHRmh56QyxRsojbu2RZOwSpJjeIigpHaKBmJyanx
 tTy89MW1a3ugTp0aFRIAxN2Xy+XMAJcabk3tOxfCFd4YTZs0wNwvJ7OMKD3v8PheEJwgBLEfPHxG
 TjzEDUHsqzc5T12WslB1+CT5IGao/Zxqd7FLb0F8clsKip/EA5EBtUoFG29oRIgbSfXjEBPfIKeW
 xhjcwIf7r6end40CycTdZ/AKBRTcgcVe3LJ1BtKzPuRmFYKRQ/vi2oVT7xA+y0lSKRL7mzfMwiuJ
 1Lfu3Gezo8ReuYGz59jkmIXDR09i775D5MEOzFm4litrDAH4sB/Q4eBIIwZJs8mA4AAnEribJyc3
 yKqlckZ7eXn5PpYxcB+Wji+fxd1XKGlUcfvS6ylfJE6f0lGo2yATmc0bYt6Mz/DNy2fvBILxU53e
 4OnTb/Dw0XNcv3UP12/cwcVL19kjrrBDn8ZBDn779h/GVpZQ8Z9HQc7NUEYxESO8UsmdnDfUaDQg
 0GlHFEUlIaF+G0mJPDwVS3xlfgxeLv2B3I8AmAG1VietkmIOKupWgLziIQgOj0eXnJZYvehLvHkL
 RfoxSlFKz6lMgtD3HpDQt+/h2rVbVKWrEpGPHDslZWDtuu2IrZ9JJVTwZvpL258QFBVV0WDQwmW3
 IiIsCKEhEY0lADJ/dz/hsvn5qyTiyqXyIQD6QmKxN4llPD4KYz6bgubZXaV1s1OHTGxfV/HOfPj2
 +2o8Ff3h4VOpN9zkdenydWm3OEgO7N57GO3ad+d3BkkNVdx1k8lKAP4SAL1eC6vNTC82EIGBYRoJ
 gMEWF+3hxYWGaP3oStSgVdUYW0Rv5nLvCgpGp/y2bPHz0TqzC2KiIjHmkz64cvHUO2XiNWXppeDC
 4+e4/+CJNPRJALhPHD5yggTex2UmFXouTyIO8f3cGKHkTVURjIFWj81qRGCA84HZ4vi/3UCudB4R
 5pWCb5ZztBDI1SSwljOIlQ6CIyAY0TGxGDFsAKZ/MQ/ZbTqjQWIcFs6bimOH9uHF08dvxYnXLKNX
 HKAeP+O8RAC3bj/ARfaEkycppQeqUFjcn8pnlvgnLjXtmnAu+omJKZIjIhxDq9lI79W58icjtcIY
 mebprZBcZjnl05+GrsiAVk8HgiVkpXsQGhmFJikNMWn8cMyYtQD5BcWUs/p013ph64ZVOH/6OF69
 eP6LQIQiCQBPCeDu/UfScnTmzHmSt4pr42DJCRQ3z5+k9aJ978ObqlPJUdgpC1ExjbiP01BgVlwu
 d85PANRNyf2dl8y0xZN9QJSSnJkQ6IX3b6SxZXe6EESnIio2FhnpqRgzvJSb1AKU9OyPlJR0tEht
 gMn0PLdsXIfjRw/h7u0bePXyOcvrpz1DTLNPn73ALarQ6dNcdKq4E1RuRPv2HSkgKomHCqWelr0c
 Pl51kN82g6XbBa2bpaFHj4/olMTRqzK/sNnd//U3m5nanBDn4a16LfqBILNSZIALjY5nAxarlR5o
 AILDIhAVXxepTZtwV83FglkzUFY+Gq0y8+h5xqBhYjwG9S/B4kWzsXPnNhzYvw9HjxzC8WPHcPTo
 UVQx4P0H9mPv3r1YuGAROhcUUijMkiUv7HklDQQxi+l1akSGRyGtURyGDS1FQW4u+vcqRkaL9nQL
 7TWT6N97+GlCh3t4+kgKIPig0Yi600kWo8XqlDzP4NAwhEdHIYycSEpKolWYj9Fjx6FX71KkNGmF
 iPBoWDkGR4UFozUdjKJOuehV0hU9exTTjslHeloTOLggCZL6MlhfSbZ59ymbXnTBI4LoT40dhTGj
 RiI3pwh5bZqheasO0HNjZCxPDEaj4mcBmJwN3vOV29fXYWcWY7XoxKKZmVhGFgvJzFJykg+inELD
 IxHCYMP4nJCQgM75OfhkyGB0/aAYDZNT+b4QGCz0kkhKpUqQUjQjpZRdFc8bRIPyV2kpGiqpiUqN
 lGdvfYpz0CyjPT1TLQb0KWHnjcCHhe3oAkYJOZ31s8H/8A+0LhTefqa7NXzgLKLXSQauhc6d3e7k
 eumkBgdKIAKDwxHAKzAoDKH0R2PJkcYNk5HfoT0KOhehcZPm5E0iHEGRtOB5diDOEqjrwuETgMS4
 Irim4iWEQ8Hv61uSh/qNsqXZp1OHNG5lqTzi4lij1nxHAG93Bqe3xDg9fdR3xX4gNNhAT8hiNrOJ
 OAiiJhMOdwBcAbQgKbEudzACCCIyKgp5HdrSdfsKSyqWYOiQ0WjatCUS4uuhbmx9RIbFMWPR7CN8
 X04HfDxwIJ23kaBDKMm2ihZ+66Zx6DtwCBx0wHt1L0BEVENRBdVara7LP7z7P36DXBsa5OOrvSvG
 azUP8EwcK0gg2Gx2CYTVITjh4pkADy8C2NrDw9Auqzn279lOu2QNvp4+CXt2bcfHpSPx1bTPsXP7
 DmzbsoXLynqMGzUCq1euxMB+A9G4UVMpwzqDOMLSwWbWo7R/N4wZ8ymKu/egne9mL7L++Z2C/+HN
 RlOU2stTtVE6oWFKDaIzk9A2Bi8OMuwOOhZUJwEgMiIMs78Yj00btyAjIxtpqSlYzKOkmTPnoGLO
 DD7PQmaLTCTXT0a/j/Ixf9589OrRm/o/iJ/plrquuAwGPbutgQNbODMtSs68hJz59QeD3t6O93x8
 NZ978XxYxklVy3ZuZDmJEcPucMDBO+QOCET9uEhsqlyO0eNmoH5yCtJTG2PD2qX0Okdh1eK5dOM2
 0IlbjJLeH3MgbIFVKxZjUGkZ0pu1lATCTO/JyPMIMz/bJFTPbqvW6fVLOVj+8Vfd/R//UXBQ1HsK
 pSnLw1N2SRyzSsMeUy5OXUQ5CQBxMRFYs2K+dLjRpk0uLfSxNHLXoEVGSwJZXuP3s39EkOyZ6YmY
 N38eeRMvlaSZAiEdqojsWm2iWVXL1ZoSH4Xinz/8+zEQb3/zf9Tx8P+Q3tFpby4b/pRFUbtWjtwB
 AW507NACFQu+ROX61Zg3dy6ysnJ5vtxI+rlRWjs4CdThcrHhRWHa9Gn8OVrKopVBi2ZpYP9gqT6n
 qZD/T9/1X/qA2nV8/1C7jke8h4fXcjafb/zYjDTcH0wMwu12IiwygiNvOFt/KFUkAtnZWdIJps3u
 olVZIwSis1sYuFZMnJRRsYvQ1lnD4E3/0uD/+sPf95Ip/+TpM5JnyfeFwyFtdGxUWiqKdLZG3dca
 LdIZm47TrZrdXWTOl+8TY4uXj1c1bc2DHCdSftPA//rLfJWa//TxVyZyLe1O6a1kx30sXD8ZsyP6
 iVhXxY4rPFjRIBUq1QW1RjHEbNb/6v/p8j9h5t1/c9iXIwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/shutter" install
	mkdir -p "$(CURDIR)/debian/shutter"

#	mkdir -p "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/"
	cp -a "src/usr/lib/hildon-desktop/shutter - Copy.py" "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/shutter - Copy.py"
	mkdir -p "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/"
	cp -a "src/usr/lib/hildon-desktop/shutter.py" "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/shutter.py"
	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/"
	cp -a "src/opt/tomch.com/shutter/shutter-grey.png" "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/shutter-grey.png"
	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/"
	cp -a "src/opt/tomch.com/shutter/shutter.png" "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/shutter.png" "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/48x48/hildon/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/olympus/"
	cp -a "src/opt/tomch.com/shutter/olympus/RM-2" "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/olympus/RM-2"
	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/nikon/"
	cp -a "src/opt/tomch.com/shutter/nikon/ML-L3+" "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/nikon/ML-L3+"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/26x26/hildon/"
	cp -a "src/usr/share/icons/hicolor/26x26/hildon/shutter.png" "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/26x26/hildon/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/shutter.png" "$(CURDIR)/debian/shutter/usr/share/icons/hicolor/scalable/hildon/shutter.png"
	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/canon/"
	cp -a "src/opt/tomch.com/shutter/canon/RC-1_RC-5" "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/canon/RC-1_RC-5"
	mkdir -p "$(CURDIR)/debian/shutter/usr/share/applications/hildon-home/"
	cp -a "src/usr/share/applications/hildon-home/shutter.desktop" "$(CURDIR)/debian/shutter/usr/share/applications/hildon-home/shutter.desktop"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## shutter 1.1.0-1

=== debian/changelog ===
shutter (1.1.0-1) stable; urgency=low

  Fixed Canon cams. Added support for Pentax cams. Larger icon. Restarts LIRC daemon upon install.

 -- Tom Waelti <twaelti@gmail.com>  Mon, 19 Apr 2010 22:46:56 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: user/desktop
 Priority: extra
 Maintainer: Tom Waelti <twaelti@gmail.com>
-Xsbc-Bugtracker: http://wiki.maemo.org/shutter#Bugs
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
 Package: shutter
 Architecture: all
-Depends: lirc (>= 0.8.5-2fremantle30), python2.5, python-hildondesktop (>= 0.1.0-1maemo3), hildon-desktop-python-loader (>= 0.1.0-1maemo3), python-gtk2, python-hildon, python-gconf (>= 2.26.1-1maemo1), python-osso (>= 0.4-0maemo2)
+Depends: lirc (>= 0.8.5-2fremantle30), python2.5, python-hildondesktop (>= 0.1.0-1maemo3), hildon-desktop-python-loader (>= 0.1.0-1maemo3), python-dbus, python-gtk2, python-hildon, python-gconf (>= 2.26.1-1maemo1), python-osso (>= 0.4-0maemo2)
 Description: A single shutter button widget to issue a IR command.
  Please select your camera through the settings dialog of the widget.
- Should work with Canon, Nikon and Olympus DSLR.
+ Should work with Canon, Nikon, Olympus and Pentax DSLR.
+ Add it to one of your desktops using Desktop menu > Add widget.
+ If it doesn't show up, please reboot your phone.
+XSBC-Bugtracker: http://wiki.maemo.org/shutter#Bugs
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAARnQU1BAACx
  jwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAZdEVYdFNvZnR3YXJlAFBhaW50Lk5FVCB2My41

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,8 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/shutter" install
 	mkdir -p "$(CURDIR)/debian/shutter"
 
-#	mkdir -p "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/"
-	cp -a "src/usr/lib/hildon-desktop/shutter - Copy.py" "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/shutter - Copy.py"
+#	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/pentax/"
+	cp -a "src/opt/tomch.com/shutter/pentax/RC-F" "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/pentax/RC-F"
 	mkdir -p "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/"
 	cp -a "src/usr/lib/hildon-desktop/shutter.py" "$(CURDIR)/debian/shutter/usr/lib/hildon-desktop/shutter.py"
 	mkdir -p "$(CURDIR)/debian/shutter/opt/tomch.com/shutter/"
